From 79707b289e9cfa1bb734c2dfef68fe24f78e5c38 Mon Sep 17 00:00:00 2001
From: yuhaidong <yuhaidong@uniontech.com>
Date: Fri, 11 Dec 2020 10:16:00 +0800
Subject: [PATCH] evr: Add missing LeaveCriticalSection on creating tracking
 thread.

Signed-off-by: yuhaidong <yuhaidong@uniontech.com>
---
 .vscode/settings.json | 16 ++++++++++++++++
 dlls/evr/sample.c     |  1 +
 2 files changed, 17 insertions(+)
 create mode 100644 .vscode/settings.json

diff --git a/.vscode/settings.json b/.vscode/settings.json
new file mode 100644
index 00000000000..f6f773bb522
--- /dev/null
+++ b/.vscode/settings.json
@@ -0,0 +1,16 @@
+{
+    "files.associations": {
+        "*.idl": "c",
+        "array": "c",
+        "string_view": "c",
+        "initializer_list": "c",
+        "utility": "c",
+        "functional": "c",
+        "istream": "c",
+        "ostream": "c",
+        "tuple": "c",
+        "type_traits": "c",
+        "string": "c",
+        "*.rh": "c"
+    }
+}
\ No newline at end of file
diff --git a/dlls/evr/sample.c b/dlls/evr/sample.c
index aedf19b9fd4..44b09d6d474 100644
--- a/dlls/evr/sample.c
+++ b/dlls/evr/sample.c
@@ -345,6 +345,7 @@ static void video_sample_create_tracking_thread(void)
         {
             WARN("Failed to create sample tracking thread.\n");
             CloseHandle(ready_event);
+            LeaveCriticalSection(&tracking_thread_cs);
             return;
         }
 
-- 
2.20.1

